package stx.libjava.tools.source;

import org.eclipse.jdt.internal.compiler.env.ICompilationUnit;

public class JavaSource implements ICompilationUnit {

protected char[] contents;

public JavaSource(String contents) {
    this.contents = contents.toCharArray();
}

/**
 * Answer the contents of the compilation unit.
 *
 * In normal use, the contents are requested twice.
 * Once during the initial lite parsing step, then again for the
 * more detailed parsing step.
 * Implementors must never return null - return an empty char[] instead,
 * CharOperation.NO_CHAR being the candidate of choice.
 */
public char[] getContents() {
    return contents;
}

/**
 * Set the contents of the compilation unit. 
 */
public void setContents(char[] contents) {
    this.contents = contents;
}

/**
 * Answer the name of the top level public type.
 * For example, {Hashtable}.
 */
public char[] getMainTypeName() {
    return null;
}
/**
 * Answer the name of the package according to the directory structure
 * or null if package consistency checks should be ignored.
 * For example, {java, lang}.
 */
public char[][] getPackageName() {
    return null;
}
/**
* Answer if optional problems should be ignored for this compilation unit.
* Implementors should return <code>false</code> if there is no preference.
*/
public boolean ignoreOptionalProblems() {
    return false;
}

/**
 * Answer the file name which defines the type.
 *
 * The path part (optional) must be separated from the actual
 * file proper name by a separator suitable for the type (java.io.File.separator for example),
 * e.g.
 *  "c:\\source\\com\\p\\X.java" or
 *  "/com/p/Y.java".
 *
 * The path to the zip or jar file (optional) must be separated
 * from the actual path part by JAR_FILE_ENTRY_SEPARATOR,
 * e.g.
 *  "c:\\lib\\some.jar|/com/p/X.class" or
 *  "/lib/some.zip|/com/q/Y.class".
 *
 * The proper file name includes the suffix extension (e.g.&nbsp;".java")
 * e.g.&nbsp;"c:/org/eclipse/jdt/internal/compileri/env/IDependent.java"
 *
 * Return null if no file defines the type.
 */

public char[] getFileName() {
    return null;
}

}
